Name:           ocaml-libvirt
Version:        0.6.1.5
Release:        %mkrel 8
Summary:        OCaml binding for libvirt
License:        LGPLv2+
Group:          Development/OCaml

URL:            https://libvirt.org/ocaml/
Source0:         https://libvirt.org/sources/ocaml/%{name}-%{version}.tar.gz

# Fedora patches:
# Fixes build with OCaml >= 4.09.
# Upstream commit 75b13978f85b32c7a121aa289d8ebf41ba14ee5a.
Patch1:         0001-Make-const-the-return-value-of-caml_named_value.patch

# Fixes for OCaml 4.10, sent upstream 2020-01-19.
Patch2:         0001-block_peek-memory_peek-Use-bytes-for-return-buffer.patch
Patch3:         0002-String_val-returns-const-char-in-OCaml-4.10.patch
Patch4:         0003-Don-t-try-to-memcpy-into-a-String_val.patch

# Mageia patches:

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel

BuildRequires:  pkgconfig(libvirt) >= 0.2.1
BuildRequires:  perl
BuildRequires:  gawk


%description
ocaml-libvirt are OCaml bindings for libvirt, allowing you to write OCaml
programs and scripts which control virtualization features. Some things which
you might want to do with ocaml-libvirt:

* Monitor performance of virtual machines
* Pause and resume virtual machines according to demand
* Provision new virtual machines automatically for customers
* Configure how virtual machines are networked together

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       libvirt-devel
Requires:       %{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q
%autopatch -p1


%build
%configure
make all doc
%make_build opt


%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/stublibs
make install-opt \
    OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml" \
    DESTDIR=%{buildroot}


%files
%doc COPYING.LIB README ChangeLog
%dir %{_libdir}/ocaml/libvirt
%{_libdir}/ocaml/libvirt/*.cmi
%{_libdir}/ocaml/libvirt/*.cma
%{_libdir}/ocaml/libvirt/META
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%doc COPYING.LIB README TODO.libvirt ChangeLog html/*
%{_libdir}/ocaml/libvirt/*.a
%{_libdir}/ocaml/libvirt/*.cmxa
%{_libdir}/ocaml/libvirt/*.cmx
%{_libdir}/ocaml/libvirt/*.mli


%changelog
* Wed May 18 2022 pterjan <pterjan> 0.6.1.5-8.mga9
+ Revision: 1858764
- Rebuild for OCaml 4.14

* Tue Apr 05 2022 umeabot <umeabot> 0.6.1.5-7.mga9
+ Revision: 1844585
- Mageia 9 Mass Rebuild

* Thu Oct 14 2021 tv <tv> 0.6.1.5-6.mga9
+ Revision: 1751386
- Rebuild for ocaml 4.13.1

* Tue Mar 23 2021 tv <tv> 0.6.1.5-5.mga9
+ Revision: 1708268
- Rebuild dor ocaml 4.12

* Mon Aug 24 2020 tv <tv> 0.6.1.5-4.mga8
+ Revision: 1618340
- fix build
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 28 2020 umeabot <umeabot> 0.6.1.5-3.mga8
+ Revision: 1551147
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.6.1.5-2.mga8
+ Revision: 1543768
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 0.6.1.5-1.mga8
+ Revision: 1482255
- new release + rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 0.6.1.4-11.mga7
+ Revision: 1324050
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.6.1.4-10.mga7
+ Revision: 1323765
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.6.1.4-9.mga7
+ Revision: 1299890
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 pterjan <pterjan> 0.6.1.4-8.mga7
+ Revision: 1250537
- Fix build on aarch64

* Sun Nov 26 2017 tv <tv> 0.6.1.4-7.mga7
+ Revision: 1179332
- add fixes from FC
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.6.1.4-6.mga6
+ Revision: 1056418
- Rebuild for fix in ocaml

* Wed Apr 27 2016 tv <tv> 0.6.1.4-5.mga6
+ Revision: 1006783
- kill useless BRs
- package most of the doc in devel pkg
- package .so.owner file
- BR ocaml-compiler

* Wed Apr 27 2016 tv <tv> 0.6.1.4-4.mga6
+ Revision: 1006777
- BR ocaml-findlib-devel instead of ocaml-findlib
- add patches from FC

* Fri Feb 05 2016 umeabot <umeabot> 0.6.1.4-3.mga6
+ Revision: 937382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1.4-2.mga5
+ Revision: 743898
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 malo <malo> 0.6.1.4-1.mga5
+ Revision: 736957
- update to 0.6.1.4

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1.2-7.mga5
+ Revision: 683060
- Mageia 5 Mass Rebuild

* Fri Jan 24 2014 oden <oden> 0.6.1.2-6.mga4
+ Revision: 567709
- rebuilt for libvirt 1.2.1

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1.2-5.mga4
+ Revision: 508502
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1.2-4.mga3
+ Revision: 361447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 0.6.1.2-3.mga3
+ Revision: 302198
- rebuild for new ocaml 4.00

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.1.2-2.mga3
+ Revision: 301667
- new rpm group for ocaml

* Wed Jun 06 2012 malo <malo> 0.6.1.2-1.mga3
+ Revision: 256645
- update to 0.6.1.2

* Sat Oct 22 2011 malo <malo> 0.6.1.0-4.mga2
+ Revision: 157380
- missing buildrequires
- spec clean-up and rebuild for Ocaml-3.12.1

* Sat Apr 30 2011 misc <misc> 0.6.1.0-3.mga1
+ Revision: 93942
- increase license to fix upgrade from Mandriva

* Mon Mar 07 2011 saispo <saispo> 0.6.1.0-1.mga1
+ Revision: 66107
- imported package ocaml-libvirt

